在进行本次实验之前，如果对VS code和CodeCode.net的使用方法不清楚，请查看[《Web前端技术实验环境使用手册》](https://www.codecode.net/engintime/web-group/book/blob/master/app-manual.md)的内容。

本项目用于完成[《Web前技术实验教程》](https://www.codecode.net/engintime/web-group/book)中的 实验5 DIV+CSS布局规划 中的 [任务2 设计2015年CERNET华东北地区年会网站](https://www.codecode.net/engintime/web-group/book#实验5-divcss布局规划)

#  实验所需知识点
1. 图层div标记  
2. 样式style标记  
3. 链接link标记  
4. 无序列表ul标记  
5. 表格table标记  
6. 浮动框架iframe标记 
7. 首页飘动窗口设计     

# 页面设计要求
页面分成header、nav、menu、mainbody（分为main、rightbar左右两个子div）、footer等区域。如下图lab016-1所示：  
![](./images/布局.png)  

# 编程要求 
根据要求完成2015年CERNET华东北地区年会网站的设计。  
*在trees文件夹中提供了设计所有的素材*  

**work_1**  
根据页面效果图，在body标记中插入相关的DIV，形成DIV嵌套结构。代码如下：  
``` html
<div id="container" class="">
    <div id="header" class="">       </div>
    <div id="nav" class="">          </div>
    <div id="mainbody" class="">
        <div id="main" class="">     </div>
        <div id="rightbar" class=""> </div>
    </div>
    <div id="footer" class="">       </div>
</div>
```

**work_2**  
在id为nav的标记中插入无序列表，设计导航菜单。代码如下:  
``` html
<div id="nav" class="">
    <ul>
        <li><a href="#">首&nbsp;&nbsp;&nbsp;&nbsp;页</a></li>
        <li><a href="#">会议介绍</a></li>
        <li><a href="#">潍坊介绍</a></li>
        <li><a href="#">日程安排</a></li>
        <li><a href="#">大会报告</a></li>
        <li><a href="#">宾馆交通</a></li>
        <li><a href="#">资料下载</a></li>
        <li><a href="#">会议注册</a></li>
        <li><a href="#">联系我们</a></li>
    </ul>
</div>
```

**work_3**  
a.在id为main的标记中插入相应的段落，其中标题“会议概要”“会议介绍”“会议动态”“宾馆地图”统一应用#bt样式，其格式如下:  
``` css
#bt{font-size:28px; padding:2px 16px; font-weight:bold;}
```
b.其他段落内容如下：  
```
会议概要
2015年CERNET华东北地区教育信息化技术研讨大会
时间：2015年4月22日至4月25日
报到时间：2015年4月22日
地点：山东省潍坊市
会议主题：先进网络技术、信息化规划与学校信息化实践、信息技术推动教育教学变革、技术应用研讨及工作交流等。
主办：CERNET华东北地区网络中心、CERNET安徽省网络中心、CERNET山东省网络中心、山东省教育技术与装备协会
承办：潍坊医学院
会议介绍
2015年4月22-25日，由CERNET华东北地区网络中心、CERNET安徽省网络中心、CERNET山东省网络中心及山东省教育技术与装备协会联合主办，潍坊医学院承办的中国教育和科研计算机网(CERNET)2015年华东北地区教育信息化技术研讨会在美丽的山东省潍坊市召开。研讨会主要议题包括先进网络技术、信息化规划与学校信息化实践、信息技术推动教育教学变革、技术应用研讨及工作交流等。会议将邀请CERNET专家、教育技术专家、部分国内高校及企业界专家作专家报告。
```
c.定义特别提醒div, id为gg3, 在div中插入图像超链接，并设置目标URL。  
``` html
<div id="gg3" style="width:170px; height:55px;">
    <a target="_parent" href="http://www.baidu.com/">
        <img src="trees/tx.jpg" width="170" height="55" alt=""/>
    </a>
</div>
```

**work_4**  
在id为rightbar的标记中，分别插入id为rightbar_up、rightbar_down的2个子div。  
a.在id为 rightbar_up的div中，插入段落p，内容为“会议动态”。  
b.在id为rightbar_down的div中，插入3行3列的表格，表格中第2列中分别插入如下内容:潍坊天气预报、在线注册、修改信息。将“潍坊天气预报”设置为超链接，格式如下所示:  
``` html
<a href="http://www.weather.com.cn/weather1d/101120601.shtml" target="_blank">潍坊天气预报</a>
```
c.在id为 rightbar_down 的div中，插入段落和浮动框架。代码格式如下:  
``` html
<p id="bt">宾馆地图</p>
    <iframe id="baidu" height="180px" width="200px" frameBorder="0" scrolling="no" src="http://it2015.sd.edu.cn/baidu. htm1">
    </iframe>
```
d.在id为footer的标记中，插入1个p标记。内容如下所示:  
``` html
<p>
    &copy;Copyright CERNET 华东北地区网络中心。Designed By<a href ="http://nic.wfm.edu.cn" class= "footer">潍坊医学院网络信息中心</a>
</p>
```

**work_5**  
a.在head中添加style标记。  
b.style标记中分别定义div、p、ul、li、a等标记的样式，其样式要求如下所示。  
```
(1) 定义最外层div样式。#container样式为边界上下0、左右自动、宽度100%。  
(2) 定义头部div样式。#header样式为内容水平居中、宽度100%、高度243px、背景颜色#7d26a8、图像header.png(在trees子目录下)、图像位置居中顶部、不重复。  
(3) 定义导航div样式。#nav样式为宽度100%、高度40px、颜色白色、行高40px、内容水平居中、背景颜色#660066。    
(4) 定义ul样式。ul标记样式为边界上下0、左右自动(不设置头部和导航条之间会有空白带)、宽度950px、列表样式类型none、内容水平居中。  
(5) 用无序列表实现水平导航菜单。关键有两点:消除无序列表前面的符号、将默认垂直排列的菜单转换成水平排列的菜单。  
(6) 实现导航菜单均匀显示有两种方法:一是通过设置列表项的宽度、高度和文本居中实现，如“width:100px;text-align:center;font-size:l6px;”;二是通过设置每个列表项的边界(margin:0 20px;)来实现，在样式中追加属性值对“margin:Opx 20px;”。  
(7) 定义ul中的1i样式。li样式为边界上下0、左右自动、向左浮动(实现菜单水平导航)，文本居中对齐、字体大小16px、宽度5.5em，填充上下 2px、左右8px。  
(8) 定义ul中的a样式。a样式为字体大小16px、垂直居中对齐、显示方式为块方式。  
(9) 定义ul中的a:link、a:visited、a:active样式。a:link、a:visited、a:active样式为颜色为白色、字符装饰为无。  
(10) 定义ul中的a:hover样式。a:hover样式为背景颜色#9933ff、文本居中对齐、显示方式为块方式。  
(11) 定义主体部分div样式。#mainbody样式为背景颜色#FFFFFF，填充上下0、左右自动，边界为上下0、左右自动、宽度1001px。  
(12) 定义主体左侧部分div样式。#main样式为宽度60%、图层向左浮动，填充上下0、左右30px，边界上下0、左右自动。  
(13) 定义主体右侧部分div样式。#rightbar样式为宽度30%、图层向右浮动。  
(14) 定义版权div样式。#footer样式为背景颜色#FFFFFF、清除图层左右浮动、文本居中对齐、字体大小16px、行高40px。  
```

**提高**  
设计首页飘动窗口。将“特别提醒”设置为飘动，然后重新保存文件，使用浏览器查看页面效果。  
a.在body中插入JavaScript脚本，启动运行程序。  
``` html
<script type="text/javascript">
    var ad3 = new AdMove("gg3");             // 定义AdMove对象
    ad3.Run();
</script>
```
b.在head标记中定义Javascript相关函数。内容见根目录下文件floatwindow.js。 

# 页面效果  
![](./images/最终示例.png)  

# 教师参考答案
请教师用户首先访问[教师项目群组](https://www.codecode.net/engintime/web-group/web-front-teacher-group),申请权限并审核通过后，再[domain relative url](/engintime/web-group/web-front-teacher-group/Lab016.git)访问本项目的参考答案
