# 测试用例
import sys
from colorama import Fore, init, AnsiToWin32
init(wrap=False)
stream = AnsiToWin32(sys.stderr).stream

# 字体颜色
red = lambda text: '\033[0;31m' + text + '\033[0m'
green = lambda text: '\033[0;32m' + text + '\033[0m'

# 根据操作平台的不同设置输出内容的颜色
def print_colorful_info(passflag, outputstr):
  if sys.platform == 'linux':
    # linux系统
    if passflag == True:
      # 通过验证
      print (green(outputstr))
    else:
      # 未通过验证
      print (red(outputstr))
  else:
    # windows操作系统
    if passflag == True:
      # 通过验证
      print (Fore.GREEN + outputstr, file=stream)
    else:
      # 未通过验证
      print (Fore.RED + outputstr, file=stream)

# 输出分数
def print_score():
  if sys.platform == 'linux':
    print ("\n*******************************************")
  else:
    print (Fore.WHITE + "\n*******************************************", file=stream)
  print ("exec-score", final_score)
  print ("*******************************************\n")

# 测试第一个要求，DIV嵌套结构
def work_1(driver):
  try:
    driver.find_element_by_xpath("//body/div[@id='container']")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='nav']")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='footer']")
    print_colorful_info(True, 'work_1 测试成功')
    global final_score
    final_score = final_score + 10
  except Exception:
    print_colorful_info(False, 'work_1 测试失败：DIV嵌套结构不正确')

# 测试第二个要求，无序列表
def work_2(driver):
  try:
    driver.find_element_by_tag_name("ul")
    driver.find_element_by_tag_name("li")
    print_colorful_info(True, 'work_2 测试成功')
    global final_score
    final_score = final_score + 10
  except Exception:
    print_colorful_info(False, 'work_2 测试失败：无序列表不正确')

# 测试第三个要求，主要内容
def work_3(driver):
  try:
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='mainbody']/div[@id='main']")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='mainbody']/div[@id='main']/p")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='header']/div[@id='gg3']")
    print_colorful_info(True, 'work_3 测试成功')
    global final_score
    final_score = final_score + 10
  except Exception:
    print_colorful_info(False, 'work_3 测试失败：主要内容不正确')

# 测试第四个要求，导航
def work_4(driver):
  try:
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='mainbody']/div[@id='rightbar']")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='mainbody']/div[@id='rightbar']/div[@id='rightbar_down']")
    driver.find_element_by_xpath("//body/div[@id='container']/div[@id='mainbody']/div[@id='rightbar']/div[@id='rightbar_up']")
    print_colorful_info(True, 'work_4 测试成功')
    global final_score
    final_score = final_score + 10
  except Exception:
    print_colorful_info(False, 'work_4 测试失败：导航rightbar不正确') 

# 测试第五个要求，style标记
def work_5(driver):
  try:
    driver.find_element_by_tag_name("style")
    print_colorful_info(True, 'work_5 测试成功')
    global final_score
    final_score = final_score + 10
  except Exception:
    print_colorful_info(False, 'work_5 测试失败：style标记不正确')     

def run_test(driver):
  global final_score
  final_score = 50
  work_1(driver)
  work_2(driver)
  work_3(driver)
  work_4(driver)
  work_5(driver)
  
  # 运行结束后打印分数
  print_score()

  # 不是满分的话要将这个job置为failed
  if final_score != 100:
    # 退出driver
    driver.quit()

    # 错误码，job失败
    exit(1)
